List all Allocated IPs in the system.

Prev Next
Get
/ip-pools/allocated-ips

List all Allocated IPs in the system

Security
HTTP
Type bearer
Query parameters
query
string

Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.

range
string

'Range string to limit the result list. Format: -. 3-10 means he items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'

Example0-10
orderBy
string

The field name to sort the result list. Supported fields vary from object to object. Defaults to certain field depending on the object type.

Examplename
descending
string

Whether the sorting is applied descending or ascending. Defaults to certain field depending on the object type.

filterBy

Filters the result list by the given field and value. Supported fields vary from API to API. The filters can be combined with each other as well as the generic query parameter. The given value is checked for inclusion.

object
property*
string additionalProperties
Example{ "name": "us-east", "tags": "aws" }
Responses
200

List of Allocated IPs.

Expand All
object
range
string

The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.

Example0-30/54
orderBy
string

The field name used to sort the list.

Examplename
descending
boolean

Whether the sorting is applied descending or ascending.

queries
Array of string

The queries applied to the list.

string
totalCount
integer

The total readable count of entities. Not influenced by the query.

Example328
filterBy
Array of object (FilterBy)

The filters applied to the list.

object
name
string

The field name the filter is applied to.

Examplename
value
string

The value used for comparison.

ExampleAWS
data
Array of object (AllocatedIp)

List of Allocated IPs.

object
distinguishedName
string

Distinguished name of a user&device combination. Format: "CN=,CN=,OU="

ExampleCN=4c07bc6757ea42ddb702c2d6c45419fc,CN=user,OU=ldap
deviceId
string (uuid)

The device ID, same as the one in the Distinguished Name.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
username
string

The username, same as the one in the Distinguished Name.

Exampleuser
providerName
string

The provider name of the user, same as the one in the Distinguished Name.

Exampleldap
poolId
string (uuid)

ID of the IP Pool that has allocated this address.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
ipAddress
string

IP address either version 4 or 6 assigned to the tunnel.

Example10.0.0.52
allocationTime
string (date-time)

When the IP was allocated.

expirationTime
string (date-time)

When the IP allocation will be expired. It's equal to the last Entitlement Token's expiration date. Note that the allocation will still be reserved for the device & user according to the IP Pool settings.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.